import java.io.InputStream;
import java.io.IOException;
import java.util.List;

/** Defines methods for lexical analysis. */
public interface LexicalAnalyzer {

	/** Tokenizes a Stream.
	 *  @param is The InputStream to tokenize.
	 *  @return The list of Tokens.
	 *  @throws IOException if an IO error occures.
	 *  @throws LexicalException if the Stream contained illegal character sequences.
	 */
	public List tokenize(InputStream is) throws IOException, LexicalException;
	
}
