/** Defines constants for the tokens recognized by this compiler.
 */
public interface TOKConstants {
	
	/** '+' */
	public final static int TOK_PLUS        =  0; 
	
	/** '-' */
	public final static int TOK_MINUS       =  1; 
	
	/** '*' */
	public final static int TOK_MUL         =  2; 
	
	/** '/' */
	public final static int TOK_DIV         =  3; 
	
	/** [a..Z] ([0..9] + [a..Z])* */
	public final static int TOK_IDENTIFIER  =  4; // 
	
	/** [0..9] ([0..9])* */
	public final static int TOK_INT_LITERAL =  5; // 
	
	/** Special for end of text. */
	public final static int TOK_EOT         =  6; // EOF
	
	/** '++' */	
	public final static int TOK_INCREMENT_1 =  7; // ++

	/** '+=' */
	public final static int TOK_INCREMENT_X =  8; // +=

	/** 'PROGRAM */
	public final static int TOK_PROGRAM     =  9; // PROGRAM

	/** 'END' not used yet */
	public final static int TOK_END         = 10; // END

	/** '{' */
	public final static int TOK_BLOCKBEGIN  = 11; // {

	/** '}' */
	public final static int TOK_BLOCKEND    = 12; // }

	/** '--' */
	public final static int TOK_DECREMENT_1 = 13; // --

	/** '-=' */
	public final static int TOK_DECREMENT_X = 14; // -=

	/** '==' */
	public final static int TOK_EQ          = 15; // ==

	/** '!=' */
	public final static int TOK_NEQ         = 16; // !=

	/** '>' */
	public final static int TOK_GT          = 17; // >

	/** '>=' */
	public final static int TOK_GTE         = 18; // >=

	/** '&leq;' */
	public final static int TOK_LT          = 19; // <

	/** '<=' */
	public final static int TOK_LTE         = 20; // <=

	/** '=' */
	public final static int TOK_ASSIGN      = 21; // = 

	/** 'TYPE' not used yet*/
	public final static int TOK_TYPE        = 22; // TYPE

	/** 'RECORD' not used yet*/
	public final static int TOK_RECORD      = 23; // RECORD

	/** 'IF' */
	public final static int TOK_IF          = 24; // IF

	/** 'THEN' */
	public final static int TOK_THEN        = 25; // THEN

	/** 'ELSE' */
	public final static int TOK_ELSE        = 26; // ELSE

	/** 'WHILE' */
	public final static int TOK_WHILE       = 27; // WHILE

	/** 'DO' */
	public final static int TOK_DO          = 28; // DO

	/** 'FOR' */
	public final static int TOK_FOR         = 29; // FOR

	/** 'TO' */
	public final static int TOK_TO          = 30; // TO

	/** 'DOWNTO' not used yet */
	public final static int TOK_DOWNTO      = 31; // DOWNTO

	/** 'STEP' not used yet */
	public final static int TOK_STEP        = 32; // STEP

	/** 'DECLARE' */
	public final static int TOK_DECLARE     = 33; // DECLARE

	/** '&&' */
	public final static int TOK_CONDAND     = 34; // &&

	/** '||' */
	public final static int TOK_CONDOR      = 35; // ||

	/** '&' */
	public final static int TOK_AND         = 36; // &

	/** '|' */
	public final static int TOK_OR          = 37; // |

	/** '!' */
	public final static int TOK_NOT         = 38; // !

	/** '~' */
	public final static int TOK_COMPLEMENT  = 39; // ~

	/** ',' */
	public final static int TOK_COMMA       = 40; // ,

	/** ':' */
	public final static int TOK_COLON       = 41; // :

	/** 'true' */
	public final static int TOK_TRUE        = 42; // true

	/** 'false' */
	public final static int TOK_FALSE       = 43; // false

	/** '(' */
	public final static int TOK_OPEN_PAR    = 44; // (

	/** ')' */
	public final static int TOK_CLOSE_PAR   = 45; // )

	/** 'RUN' */
	public final static int TOK_RUN         = 46; // RUN

	/** ';' */
	public final static int TOK_SEMICOLON   = 47; // ;
}
