import javax.swing.*;
import javax.swing.tree.*;
import java.util.*;
import java.awt.BorderLayout;
import javax.swing.event.*;

public class TestGUI extends JFrame {
	JPanel contentPane    = (JPanel) this.getContentPane();
	JTree treeAST;
	DefaultListModel modelTokens = new DefaultListModel();
	JList listTokens;
	JScrollPane scrTokens;
	JScrollPane scrAST;
	
	public TestGUI() {
		try {
			init();
		} catch (Exception e) {
			System.err.println("error initializing TestGUI");
			e.printStackTrace();
		}
	}
	
	private void init() throws Exception {
		contentPane.setLayout(new BorderLayout());
		treeAST = new JTree();
		modelTokens = new DefaultListModel();
		listTokens = new JList(modelTokens);
		scrTokens = new JScrollPane(listTokens);
		scrAST = new JScrollPane(treeAST);
		contentPane.add(scrTokens, BorderLayout.WEST);
		contentPane.add(scrAST, BorderLayout.CENTER);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		pack();
	}
	
	public void setAST(ASTNode ast) {
		treeAST.setModel(new DefaultTreeModel(ast));
	}
	
	public void setTokenList(List ts) {
		modelTokens.clear();
		Iterator iter = ts.iterator();
		while (iter.hasNext()) modelTokens.addElement(iter.next());
	}		
}
